// Persistence of Vision Ray Tracer Scene Description File
// File: The end of millenium and the last dragon
// Vers: 3.1
// Date: 16.June 1999. 
// Auth: Anto Matkovic
// E-mail: matkovic@geocities.com 
// This file contains textures

// HUMAN TEXTURES ------------------------------------------------------
#declare bijelo = texture { pigment { colour rgb 0.99}
finish { ambient 0.2 diffuse 0.6}}

 #declare skin1=
texture { pigment {colour rgb <0.99, 0.55, 0.54>}
finish {ambient 0.45 diffuse 0.55

}}

texture { pigment {colour rgbf <0.95, 0.99, 0.95, 0.3>}
finish {ambient 0.15 diffuse 0.8
}}


#declare cipele = texture { pigment { colour rgb <0.99, 0.99, 0.99>}
finish { ambient 0.2 diffuse 0.6 specular 0.25 roughness 0.12}}

#declare potplate = texture { pigment { colour rgb <0.8, 0.8, 0.8>}
finish { ambient 0.2 diffuse 0.6 phong 0.3 phong_size 23}}

// DRAGON TEXTURES -----------------------------------------------------------------

//nails
#declare zmaj_nokti_tex = texture { pigment {colour rgb <0.2, 0.1, 0.15>}
           
finish { ambient 0.2 diffuse 0.6 phong 0.9 phong_size 99}}

//teeth 
 #declare zmaj_zubi_tex = texture { pigment { bozo  
colour_map {[0 colour rgb <0.99, 0.8, 0.6>]
            [1 colour rgb <0.9, 0.7, 0.5>]}}
finish { ambient 0.2 diffuse 0.6 phong 0.9 phong_size 34}}

//main skin
#declare zmaj_body_tex_a = texture { pigment { bozo scale 2.5
colour_map {[0 colour rgb <0.6, 0.45, 0.35>]
            [1 colour rgb <0.57, 0.4 0.45>]}}
finish { ambient 0.2 diffuse 0.6 phong 0.45  phong_size 39}
normal {bozo 0.04 scale 0.07}}

#declare zmaj_body_tex_b = texture { pigment  { bozo scale 2.5
colour_map {[0 colour rgb <0.27, 0.43, 0.4>]
            [1 colour rgb <0.4, 0.3, 0.35>]}}
finish { ambient 0.25 diffuse 0.6 specular 0.5 roughness 0.15 brilliance 5}
normal { granite 0.12 scale 0.1}}

#declare zmaj_body_tex_1 = texture {crackle scale 0.7 
texture_map {[0 zmaj_body_tex_b]
             [0.07 zmaj_body_tex_b]
             [0.09 zmaj_body_tex_a]
             [1 zmaj_body_tex_a]}}
              


//ears
#declare zmaj_uho_tex_a_1 = texture { pigment { bozo 
colour_map {[0 colour rgb <0.99, 0.7, 0.01>]
            [1 colour rgb <0.9, 0.6, 0.01>]}}
finish { ambient 0.2 diffuse 0.6 phong 0.45  phong_size 39}
normal {bozo 0.04 scale 0.07}}

#declare zmaj_uho_tex_a_2 = texture { pigment  { bozo 
colour_map {[0 colour rgb <0.3, 0.2, 0.21>]
            [1 colour rgb <0.27, 0.27, 0.27>]}}
finish { ambient 0.2 diffuse 0.6 specular 0.3 roughness 0.1 brilliance 7}
normal { granite 0.12 scale 0.1}}

#declare zmaj_uho_tex_a = texture { leopard scale 0.06
texture_map {[0    zmaj_uho_tex_a_1]
             [0.2 zmaj_uho_tex_a_1]
             [0.3 zmaj_uho_tex_a_2]
             [1    zmaj_uho_tex_a_2]}}
             
//tail            
#declare zmaj_rep_tex_a = texture { pigment { colour rgb <0.1, 0.5, 0.4>}
finish { ambient 0.3 diffuse 0.6 specular 0.9 roughness 0.1 brilliance 7 metallic 1 reflection 0.1
irid { 0.2 thickness 0.2 turbulence 0.3}
}}
             
#declare zmaj_rep_tex = texture {leopard scale 0.1 
texture_map {[0 zmaj_rep_tex_a  ]
             [0.15 zmaj_rep_tex_a ]
             [0.25 zmaj_uho_tex_a_1]
             [1 zmaj_uho_tex_a_1]}}


//wings
#declare zmaj_krilo_tex_a = texture { pigment { bozo scale 2.5
colour_map {[0 colour rgb <0.6, 0.35, 0.25>]
            [1 colour rgb <0.5, 0.3, 0.35>]}}
finish { ambient 0.2 diffuse 0.6 phong 0.4 phong_size 33}
normal { bozo 0.03 scale 0.08}}

#declare zmaj_body_tex_gore = texture { gradient y scale 40
texture_map {[0 zmaj_body_tex_1 scale 1/40]
             [0.8 zmaj_body_tex_1 scale 1/40]
             [0.86 zmaj_rep_tex scale 1/40]
             [1 zmaj_rep_tex scale 1/40]}}
 
 #declare zmaj_body_tex_dolje_a = texture { pigment { bozo
 colour_map {[0 colour rgb <0.1, 0.5, 0.4>]
             [1 colour rgb <0.1, 0.45, 0.4>]}}
 finish { ambient 0.3 diffuse 0.6 specular 0.9 roughness 0.2 brilliance 7 metallic 1 
irid { 0.2 thickness 0.2 turbulence 0.3}
}}


#declare zmaj_body_tex_dolje = texture { gradient y  sine_wave scale 1.5
texture_map {[0 zmaj_body_tex_b]
             [0.25 zmaj_body_tex_b]
             [0.33 zmaj_body_tex_dolje_a]
             [1 zmaj_body_tex_dolje_a]} rotate <0, 0, 30>}
             


 
//body
 #declare zmaj_body_tex = texture { gradient z scale 15
 texture_map {[0 zmaj_body_tex_dolje scale 1/15]
              [0.04 zmaj_body_tex_dolje scale 1/15]
              [0.07 zmaj_body_tex_gore scale 1/15]
              [1 zmaj_body_tex_gore scale 1/15]}}


//wings main
#declare  zmaj_krilo_tex2 = texture { gradient x scale <36, 36, 36>
texture_map {[0 zmaj_body_tex_1 scale 1/36]
             [0.42 zmaj_body_tex_1 scale 1/36]
             [0.47 zmaj_krilo_tex_a scale 1/36]
             [1 zmaj_krilo_tex_a scale 1/36]} rotate <0, 0, 11>}
             


#declare  zmaj_krilo_tex1 = texture { gradient x scale <36, 36, 36>
texture_map {[0 zmaj_body_tex_1 scale 1/36]
             [0.42 zmaj_body_tex_1 scale 1/36]
             [0.47 zmaj_krilo_tex_a scale 1/36]
             [1 zmaj_krilo_tex_a scale 1/36]} translate <21, 0, 0>}
//ears main            
#declare  zmaj_uho_tex1 = texture { gradient y scale 7
texture_map {[0 zmaj_body_tex_1 scale 1/7]
             [0.49 zmaj_body_tex_1 scale 1/7]
             [0.55 zmaj_uho_tex_a scale 1/7]
             [1 zmaj_uho_tex_a scale 1/7]} translate <5, 26, 0>}
             
#declare  zmaj_uho_tex2 = texture { gradient y scale 7
texture_map {[0 zmaj_body_tex_1 scale 1/7]
             [0.32 zmaj_body_tex_1 scale 1/7]
             [0.4 zmaj_uho_tex_a scale 1/7]
             [1 zmaj_uho_tex_a scale 1/7]} rotate z*45 translate <5, 26, 0>}
             

// OTHER TEXTURES -------------------------------------------------------

#declare zmaj_tex_pod_a = texture { pigment { bozo 
colour_map {[0 colour rgb <0.9, 0.85, 0.8>]
            [0.5 colour rgb <0.9, 0.83, 0.8>]
            [1 colour rgb <0.8, 0.72, 0.7>]}}
finish { ambient 0.2 diffuse 0.6 specular 0.3 roughness 0.1}
normal {marble turbulence 1.1 scale 2
normal_map {[0 granite  0.2 scale 0.1]
            [0.12 granite 0.07 scale 0.1]
            [1 granite 0.01 scale 0.1]}}}
            

#declare zmaj_tex_pod_b = texture { pigment { bozo 
colour_map {[0 colour rgb <0.8, 0.75, 0.7>]
            [0.5 colour rgb <0.8, 0.73, 0.7>]
            [1 colour rgb <0.7, 0.62, 0.6>]}}
finish { ambient 0.2 diffuse 0.6 specular 0.3 roughness 0.1}
normal {marble turbulence 1.1 scale 2
normal_map {[0 granite  0.2 scale 0.1]
            [0.12 granite 0.07 scale 0.1]
            [1 granite 0.01 scale 0.1]}}}
            
            
 
            

#declare zmaj_tex_pod = texture { gradient z
texture_map {[0 zmaj_tex_pod_a]
             [1 zmaj_tex_pod_b]}}
 

#declare guma_stubiste_a = texture { pigment { colour rgb 0.25}
finish { ambient 0.2 diffuse 0.6 phong 0.7 phong_size 33 reflection 0.03
}}

#declare guma_stubiste_b = texture { pigment { colour rgb 0.25}
finish { ambient 0.2 diffuse 0.6 phong 0.7 phong_size 33 reflection 0.1
}}

#declare guma_stubiste = texture { bozo scale 2
texture_map {[0 guma_stubiste_a]
             [0.3 guma_stubiste_a]
             [0.6 guma_stubiste_a]
             [1 guma_stubiste_a]}}
             
#declare metal_stubiste = texture { pigment { granite scale 2
colour_map {[0 colour rgb <0.3, 0.15, 0.1>]
            [0.2 colour rgb 0.45]
            [0.5 colour rgb 0.4]
            [1 colour rgb 0.45]}}
finish { ambient 0.3 diffuse 0.6 specular 0.9 roughness 0.05 brilliance 5 
metallic 0.4 
reflection 0.1
irid {0.3 thickness 0.2 turbulence 0.2}}}


#declare metal_podni_a = texture { pigment {bozo
colour_map {[0 colour rgb 0.3]
            [1 color rgb 0.4]}}
finish { ambient 0.2 diffuse 0.6 specular 0.4 roughness 0.05 
metallic 1 

irid {0.3 thickness 0.2 turbulence 0.3}}}

#declare metal_podni_b = texture { pigment {colour rgb <0.3, 0.2, 0.2>}
finish { ambient 0.3 diffuse 0.6 specular 0.4 roughness 0.05 
metallic 1 
}}

#declare metal_podni = texture { granite scale 4
texture_map {[0 metal_podni_b]
             [0.1 metal_podni_b]
             [0.15 metal_podni_a]
             [1 metal_podni_a]}}
  

#declare metal_stubiste_gdje_bi_bilo_staklo = texture { pigment { granite scale 7
colour_map {[0 colour rgb <0.3, 0.2, 0.3>]
            [0.1 colour rgb <0.3, 0.2, 0.3>]
            [0.15 colour rgb 0.75]
            [1 colour rgb 0.75]}}
finish { ambient 0.2 diffuse 0.6 specular 0.9 roughness 0.05  brilliance 3
metallic 1 
reflection 0.1
irid {0.3 thickness 0.2 turbulence 0.1}}}


#declare zmaj_tex_stube_ispod_a = texture { pigment { bozo scale 0.04
colour_map {[0 colour rgb <0.9, 0.85, 0.8>]
            [0.5 colour rgb <0.9, 0.85, 0.8>]
            [1 colour rgb <0.8, 0.72, 0.7>]}}
finish { ambient 0.2 diffuse 0.6 specular 0.3 roughness 0.1}
normal {granite 0.04 scale 0.01}}

#declare zmaj_tex_stube_ispod_b = texture { pigment 
{ bozo scale 0.04
colour_map {[0 colour rgb <0.5, 0.45, 0.4>]
            [0.5 colour rgb <0.5, 0.45, 0.4>]
            [1 colour rgb <0.44, 0.42, 0.4>]}}
finish { ambient 0.2 diffuse 0.6 specular 0.3 roughness 0.1}
normal {granite 0.04 scale 0.01}}


#declare zmaj_tex_stube_obicne = texture { gradient x scale 41.5
texture_map {[0 zmaj_tex_stube_ispod_a]
             [0.7 zmaj_tex_stube_ispod_a]
             [0.84 zmaj_tex_stube_ispod_b]
             [1 zmaj_tex_stube_ispod_b]}}
             

#declare ispod_kamene_ograde_a = texture { pigment { marble scale 0.05 turbulence 1.7
colour_map {[0 colour rgb <0.7, 0.7, 0.7>]
            [0.2 colour rgb <0.79, 0.79, 0.79>]
            [1 colour rgb <0.79, 0.79, 0.79>]}}
finish { ambient 0.2 diffuse 0.6 phong 0.9 phong_size 99}
 normal {marble turbulence 1.1 scale 0.05
normal_map {[0 granite  0.1 scale 0.1]
            [0.12 granite 0.01 scale 0.1]
            [1 granite 0 scale 0.1]}} rotate 45}
            
#declare ispod_kamene_ograde = texture { pigment {
image_map { tga "zmaj1.tga"
map_type 0 
  interpolate 2 
}}
finish { ambient 0.2 diffuse 0.6 phong 0.5 phong_size 99}
 normal {marble turbulence 1.1 scale <1/30, 1/5, 1/5>
normal_map {[0 granite  0.1 scale 0.1]
            [0.3 granite 0.07 scale 0.1]
            [1 granite 0.02 scale 0.1]}} rotate <0, 0, 90> scale <5, 30, 5> translate <-12.5, 11, 0>}
            
#declare ispod_kamene_ograde_bez_bitmapa = texture { pigment { colour rgb <0.999, 0.914, 0.826>}
finish { ambient 0.2 diffuse 0.6 phong 0.5 phong_size 99}
 normal {marble turbulence 1.1 scale 1.1
normal_map {[0 granite  0.15 scale 0.1]
            [0.3 granite 0.07 scale 0.1]
            [1 granite 0.02 scale 0.1]}}}


#declare zmaj_tex_zid_a = texture { pigment { marble turbulence 1.1 scale 2
colour_map {[0 colour rgb <0.8, 0.55, 0.5>]
            [0.2 colour rgb <0.75, 0.5, 0.45>]
            [1 colour rgb <0.7, 0.55, 0.5>]}}
finish { ambient 0.22 diffuse 0.6 specular 0.3 roughness 0.1 reflection 0.12
}}


#declare zmaj_tex_zid_b = texture { pigment { marble turbulence 1.1 scale 2
colour_map {[0 colour rgb <0.65, 0.4, 0.35>]
            [0.2 colour rgb <0.6, 0.45, 0.3>]
            [1 colour rgb <0.55, 0.4, 0.45>]}}
finish { ambient 0.22 diffuse 0.6 specular 0.3 roughness 0.1 reflection 0.12
}}


#declare zmaj_tex_zid1 = texture { gradient z scale 2
warp {repeat x*5  offset z*1.7}
texture_map {[0 zmaj_tex_zid_a scale 1/2]
             [1 zmaj_tex_zid_b scale 1/2]}}
             
#declare zmaj_tex_zid2 = texture { gradient z scale 2
warp {repeat x*5  offset z*1.33}
texture_map {[0 zmaj_tex_zid_a scale 1/2]
             [1 zmaj_tex_zid_b scale 1/2]}}
             
#declare zmaj_tex_zid = texture  {checker
texture {zmaj_tex_zid1 scale 1/5}
texture {zmaj_tex_zid2 scale 1/5 rotate z*90}scale 5}
            
#declare zmaj_tex_graf = texture { pigment { colour rgb <0.2, 0.2, 0.2>}
finish { ambient 0.22 diffuse 0.6 specular 0.3 roughness 0.1 reflection 0.12}}
         


#declare zmaj_bitmap = texture { 
material_map { tga "zmaj.tga"
map_type 0 
interpolate 0 
texture { zmaj_tex_graf  scale <1/50, 1/25, 1/50>}  
texture { zmaj_tex_zid scale <1/50, 1/25, 1/50>} 
}

#declare zmaj_tex_zid_iza = texture { pigment { colour rgb <0.5, 0.4, 0.4>}
finish { ambient 0.2 diffuse 0.6 specular 0.3 roughness 0.1}}

 rotate <90, 0, 90>  scale <25, 50, 25> translate <0, -30, 0>}
 





             
             
             
            





             

 

  